;;; BACKUP.LSP  (10/86) - Will save drawing to a drive or directory
;;;
;;; By: David Whynot
;;;     160 Rothesay Drive
;;;     Kanata, Ontario
;;;     K2L 1P1
;;;
;;; Change A: to B: for B: drive or if you want to backup to a specific
;;; hard drive directory change (strcat "A:" fname) to
;;; (strcat "C:/scratch/b" fname"), this will save the drawing to a directory
;;; called SCRATCH on the C: partition.
;;;
;;; I warrant nothing with this program other than it works for me and with the
;;; other exception that it takes up disk space.
;;;
;;; Here is an example of how I use this routine for a drawing save on my screen ;;; menu. I use two copies of this routine. One for A: the other for B:
;;;
;;; [SAVEALL]^C^C^PREDEFINE;SAVE;ZOOM;E;SAVE;;(LOAD"BACKUPA")(LOAD"BACKUPB")
;;; (Prompt "Finished saving to all drives.")(TERPRI)(PRINC)
;;;
;;; Hack away at this to your hearts content, but I would like a copy of any
;;; changes and hopefully improvements you make to this. CHEERS!!
;;;
;;; P.S. This is my original, unchanged routine from 10/86.
;;;
;;;
(defun backup (/ fname i ln lc j)
(setq fname (getvar "dwgname")) (setq ln (strlen fname)) (setq i 1) (setq lc 0)
(while (<= i ln) (progn 
             (if (= (substr fname i 1) "\\") (setq lc i))
             (if (= (substr fname i 1) ":") (setq lc i))
             (setq i (+ i 1))))
(setq j (- ln lc)) (setq lc (+ lc 1)) (setq fname (substr fname lc j))
(setq fname (strcat "A:" fname)) (command "save" fname "y"))
(backup)
